/* eslint-disable no-extend-native */
import '@babel/polyfill';

String.prototype.trimStart = String.prototype.trimStart ? String.prototype.trimStart : function trimStart() {
  if (String.prototype.trimLeft) {
    return this.trimLeft();
  } else if (String.prototype.trim) {
    const trimmed = this.trim();
    const indexOfWord = this.indexOf(trimmed);
    return this.slice(indexOfWord, this.length);
  }
};

String.prototype.trimLeft = String.prototype.trimLeft ? String.prototype.trimLeft : String.prototype.trimStart;

String.prototype.trimEnd = String.prototype.trimEnd ? String.prototype.trimEnd : function trimEnd() {
  if (String.prototype.trimRight) {
    return this.trimRight();
  } else if (String.prototype.trim) {
    const trimmed = this.trim();
    const indexOfWord = this.indexOf(trimmed);
    return this.slice(0, indexOfWord + trimmed.length);
  }
};

String.prototype.trimRight = String.prototype.trimRight ? String.prototype.trimRight : String.prototype.trimEnd;
